package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.QuickSearchService;
import com.engine.organization.service.impl.QuickSearchServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/08/08
 * @version: 1.0
 */
public class QuickSearchWrapper extends Service {
    private QuickSearchService getQuickSearchService(User user) {
        return ServiceUtil.getService(QuickSearchServiceImpl.class, user);
    }

    public Map<String, Object> getQuickSearchCondition(Map<String, Object> params) {
        return getQuickSearchService(user).getQuickSearchCondition(params);
    }

    public Map<String, Object> getQuickSearchInfo(Map<String, Object> params) {
        return getQuickSearchService(user).getQuickSearchInfo(params);
    }

    public Map<String, Object> saveQuickSearchInfo(Map<String, Object> params) {
        return getQuickSearchService(user).saveQuickSearchInfo(params);
    }

    public Map<String, Object> getQuickSearchDetailInfo(Map<String, Object> params) {
        return getQuickSearchService(user).getQuickSearchDetailInfo(params);
    }

    public Map<String, Object> saveQuickSearchDetailInfo(Map<String, Object> params) {
        return getQuickSearchService(user).saveQuickSearchDetailInfo(params);
    }
}
